<?php

namespace Ignite\Core\Database\Seeders;

use Ignite\Core\Entities\Report;

class ReportTableSeeder extends AbstractSeeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        parent::run();

        // TODO: Create a repository class
        //$reportRepository = app(ReportRepository::class);
        $strategy = $this->strategy('json', [
            'filepath' => $this->getFilepath('core_report.json')
        ]);

        /** @var \Illuminate\Support\Collection $sources */
        $sources = $strategy->run();

        foreach ($sources as $source) {
            try {
                Report::create($source);
            } catch (\Exception $e) {
                //echo $e->getMessage() . PHP_EOL;
                continue;
            }
        }
    }
}
